ATD(8)

NOM
atd - Exécuter les travaux enregistrés pour un lancement ultérieur

SYNOPSIS
atd [-l load_avg] [-b batch_interval] [-d] [-s]

DESCRIPTION
atd exécute les travaux mis en file d'attente par at(1).

OPTIONS

-l  Indique le facteur limite de charge, au delà duquel les travaux ne devraient pas être lancés, à la place du choix de 0.8 précompilé. (Ndt : cette valeur peut être différente suivant les distributions car elle est configurable à la construction du binaire.) Pour un système SMP (multiprocesseurs) avec n CPUs, vous voudrez probablement le mettre plus grand que n-1.

-b  Indique l'intervalle minimum, en secondes, entre le départ de deux traitement par lots (60 par défaut)

-d  Débogage ; affiche les messages d'erreur sur la sortie standard au lieu d'utiliser syslog(3).

-s  Traiter la file d'attente at/batch une seule fois. Surtout utile pour une compatibilité avec les anciennes versions de at ; atd -s est équivalent à l'ancienne commande atrun. Un script appelant atd -s est installé comme /usr/sbin/atrun pour une compatibilité ascendante (Ndt : le chemin du binaire peut être différent suivant les distributions).

NOTES
atd ne fonctionnera pas si le répertoire de stockage est monté via NFS, même si no_root_squash est indiqué.

FICHIERS
/var/spool/at Le répertoire pour stocker les travaux ; les droits d'accès devraient être 700, le propriétaire daemon (Ndt : le répertoire et le propriétaire peuvent être différents suivant les distributions).

/var/spool/at/spool Le répertoire pour stocker le résultat ; les droits d'accès devraient être 700, le propriétaire daemon (Ndt : le répertoire et le propriétaire peuvent être différents suivant les distributions).

/etc/at.allow, /etc/at.deny déterminent qui peut utiliser le mécanisme at. Ndt : le chemin des fichiers peut être différent suivant les distributions.

BOGUES
Les fonctionalités de atd devraient être regroupées dans cron(8).

VOIR AUSSI
at(1), atrun(1), cron(8), crontab(1), syslog(3), at.deny(5), at.allow(5)

TRADUCTION

Ce document est une traduction réalisée par Frédéric Gacquer en 1999 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 atd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.